# GHHub
Global Highlights Hub 海外供应商平台

## 开发设置

1. 安装组件：npm install
2. 运行开发环境：npm run dev 或者 start.bat
3. 打包代码：npm run build 或者 build.bat

## 版本设置
npm version [<newversion> | major | minor | patch | premajor | preminor | prepatch | prerelease | from-git]  

npm version premajor --no-git-tag-version  
1.0.0 -> 2.0.0-0  
--preid beta | alpha | rc  
npm version prerelease --preid beta --no-git-tag-version  
npm version prerelease  
2.0.0-alpha-0 -> 2.0.0-alpha-1 -> 2.0.0-alpha-2 ..n -> 2.0.0-alpha-n  
npm version patch --no-git-tag-version  
2.0.0-n -> 2.0.0  

"push:tag": "npm version patch && git.exe push --progress "origin" main:main"  
"push:tag": "npm version patch && git push origin master"  


## 相关文档
需求文档 https://www.kdocs.cn/l/csZrIZlpuF2i  
dayjs https://dayjs.gitee.io/docs/zh-CN/manipulate/start-of  
antd https://ant-design.antgroup.com/components/upload-cn#uploadfile  
反馈表案例 https://www.chinahighlights.com/customerservice/feedback/PostTourSurveyFormToWLGH.asp?LGC=1&COLI_SN=988185&MEI_SN=954295&Email=jennroth18@hotmail.com&ToC=0&ShowType=&page_class=4&dei_sn=28&country=30,490  
国内供应商平台 http://p.mycht.cn/index.aspx  
文档预览 https://github.com/cyntler/react-doc-viewer  
wps的文档预览 https://wwo.wps.cn/docs/front-end/introduction/quick-start  
pdf生成 https://github.com/ivmarcos/react-to-pdf  
react-pdf https://react-pdf.org  

## 阿里云OSS
Bucket 名称：global-highlights-hub  
Endpoint：oss-cn-hongkong.aliyuncs.com  
global-highlights-hub.oss-cn-hongkong.aliyuncs.com  
  
反馈表测试链接  
http://202.103.68.111:5173/feedback/330948  

---


```mermaid
---
title: GHHub 开发管理 - 机票和价格管理
---
gitGraph TB:
   commit
   commit
   branch release
   branch feature/i18n
   checkout main
   commit id: "release" tag: "1.0.5.31"
   branch bug/x1
   commit id: "fix(...): ..."
   checkout feature/i18n
   commit
   commit
   checkout main
   merge feature/i18n id: "机票开始"
   branch feature/price_manager
   checkout main
   commit
   commit
   commit id: "账户体系"
   checkout feature/price_manager
   commit
   commit
   commit
   checkout main
   merge feature/price_manager id: "合并价格" type:HIGHLIGHT
   commit
   commit
   commit tag: "2.0.0" id: "完成机票"
   commit
   commit
   commit id: "pre-release" tag: "pre-release" type:HIGHLIGHT
   commit

```
