import i18n from 'i18next';
// 用于检测浏览器中的用户语言，
// https://github.com/i18next/i18next-browser-languageDetector
// 通过localStorage.getItem('i18nextLng')取出当前语言环境
import LanguageDetector from 'i18next-browser-languagedetector';
import Backend from 'i18next-http-backend';
import { initReactI18next } from 'react-i18next';
// import en from './locales/en.json';
// import zh from './locales/zh.json';

i18n
  .use(Backend)
  .use(LanguageDetector)
  .use(initReactI18next)
  // https://www.i18next.com/overview/configuration-options
  .init({
    backend: {
      loadPath: '/locales/{{lng}}/{{ns}}.json',
    },
    ns: ['common', 'group', 'vendor', 'account', 'products'],
    defaultNS: 'common',
    detection: {
      //   convertDetectedLanguage: 'Iso15897',
      convertDetectedLanguage: (lng) => {
        const langPart = lng.split('-')[0];
        return langPart;
        // return lng.replace('-', '_');
      },
    },
    supportedLngs: ['en', 'zh'],
    // resources: {
    //   en: { translation: en },
    //   zh: { translation: zh },
    // },
    fallbackLng: 'en',
    // fallbackLng: (code) => {
    //   if (!code || code === 'en') return ['en'];
    //   const fallbacks = []; // [code];

    //   // add pure lang
    //   const langPart = code.split('-')[0];
    //   if (langPart !== code) fallbacks.push(langPart);

    //   fallbacks.push('en');
    //   console.log('fallbacks', fallbacks);
    //   return fallbacks;
    // },
    preload: ['en'],
    interpolation: {
      escapeValue: false,
    },
    // keySeparator: false,
    debug: false,
  });

export default i18n;
