import { fetchJSON } from "@/utils/request";
import { HT_HOST } from "@/config";
import { create } from 'zustand';
import { devtools } from 'zustand/middleware';

const initialState = {
	loading: false,
  vendorScoresData: [], //地接统计数据集，合计数据，每月数据，地接考核分数
  productScoresData: [], //产品体验分析 常用酒店分析, 导游接待情况
  commendScoresData: [], //表扬情况, 投诉情况, 评建议
};
export const useReportStore = create(
  devtools((set, get) => ({
    ...initialState,
    reset: () => set(initialState),

    setLoading: (loading) => set({ loading }),
    setVendorScoresData: (vendorScoresData) => set({ vendorScoresData }),
    setProductScoresData: (productScoresData) => set({ productScoresData }),
    setCommendScoresData: (commendScoresData) => set({ commendScoresData }),

    async getHWVendorScores(VEI_SN, StartDate, EndDate) {
      const { setLoading, setVendorScoresData } = get();
      setLoading(true);
      const searchParams = {
        VEI_SN,
        StartDate,
        EndDate,
        StrDEI_SN: '(,-1,)',
        OrderType: '-1',
        GroupType: '-1',
      };
      const { errcode, ...Result } = await fetchJSON(`${HT_HOST}/service-cusservice/PTGetHWVendorScores`, searchParams);
      setVendorScoresData(errcode === 0 ? Result : {});
      // setLoading(false);
    },
    async getHWProductScores(VEI_SN, StartDate, EndDate) {
      const { setLoading, setProductScoresData } = get();
      setLoading(true);
      const searchParams = {
        VEI_SN,
        StartDate,
        EndDate,
        StrDEI_SN: '(,-1,)',
        OrderType: '-1',
        GroupType: '-1',
      };
      const { errcode, ...Result } = await fetchJSON(`${HT_HOST}/service-cusservice/PTGetHWProductScores`, searchParams);
      setProductScoresData(errcode === 0 ? Result : {});
      setLoading(false);
    },
    async getHWCommendScores(VEI_SN, StartDate, EndDate) {
      const { setLoading, setCommendScoresData } = get();
      setLoading(true);
      const searchParams = {
        VEI_SN,
        StartDate,
        EndDate,
        StrDEI_SN: '(,-1,)',
        OrderType: '-1',
        GroupType: '-1',
      };
      const { errcode, ...Result } = await fetchJSON(`${HT_HOST}/service-cusservice/PTGetHWCommendScores`, searchParams);
      setCommendScoresData(errcode === 0 ? Result : {});
      // setLoading(false);
    },
  }), { name: 'reportStore'})
);
export default useReportStore;
