import { Outlet } from "react-router-dom";
import { Layout, ConfigProvider, theme, Row, Col, App as AntApp } from "antd";
import "antd/dist/reset.css";
import AppLogo from "@/assets/logo-gh.png";
import { useThemeContext } from "@/stores/ThemeContext";
import { BUILD_VERSION } from "@/config";

const { Header, Content, Footer } = Layout;

function Standlone() {
	const { colorPrimary } = useThemeContext();

	return (
		<ConfigProvider
			theme={{
				token: {
					colorPrimary: colorPrimary,
				},
				algorithm: theme.defaultAlgorithm,
			}}>
			<AntApp>
				<Layout className="min-h-screen">
					<Header className="sticky top-0 z-10 w-full">
						<img src={AppLogo} className="float-left h-9 my-4 mr-6 ml-0 bg-white/30" alt="App logo" />
						<p className="text-white text-center">Global Highlights Hub</p>
					</Header>
					<Content className="p-6 m-0 min-h-72 bg-white">
						<Outlet />
					</Content>
					<Footer>China Highlights International Travel Service Co., LTD, Version: {BUILD_VERSION}</Footer>
				</Layout>
			</AntApp>
		</ConfigProvider>
	);
}

export default Standlone;
