import { Descriptions, Col, Row } from 'antd'
import { useTranslation } from 'react-i18next'
import useAuthStore from '@/stores/Auth'

function Profile() {

  const { t } = useTranslation()
  const currentUser = useAuthStore(state => state.currentUser)

  return (
    <Row>
      <Col span={12} offset={6}>
        <Descriptions title={t('userProfile')} layout="vertical" column={2}>
          <Descriptions.Item label={t("Username")}>{currentUser?.username}</Descriptions.Item>
          <Descriptions.Item label={t("Realname")}>{currentUser?.realname}</Descriptions.Item>
          <Descriptions.Item label={t("Email")}>{currentUser?.emailAddress}</Descriptions.Item>
          <Descriptions.Item label={t("Company")}>{currentUser?.travelAgencyName}</Descriptions.Item>
        </Descriptions>
      </Col>
    </Row>
  );
}

export default Profile
