import { NavLink } from "react-router-dom";
import { useEffect, useState } from "react";
import { Row, Col, Space, Typography, Badge, List } from "antd";
import useNoticeStore, { fetchBulletinList } from '@/stores/Notice';
import { usingStorage } from "@/hooks/usingStorage";


function Index() {
  const { userId, } = usingStorage();
  const getBulletinUnReadCount = useNoticeStore((state) => state.getBulletinUnReadCount);

  const [noticeList, setNoticeList] = useState([]);
	useEffect(() => {
		// console.info("notice.useEffect", authStore.login.userId);
    fetchBulletinList(userId).then(data => {
      setNoticeList(data);
    });
		getBulletinUnReadCount(userId); //进入列表页的时候更新一下未读公告
	}, []);

	return (
		<Space direction="vertical" style={{ width: "100%" }}>
			<Row gutter={16}>
				<Col span={4}></Col>
				<Col span={16}>
					<List
						dataSource={(noticeList)}
						renderItem={item => (
							<List.Item>
								<Typography.Text>[{item.CCP_LastEditTime}]</Typography.Text>
								<NavLink to={`/notice/${item.CCP_BLID}`}> {item.CCP_BLTitle}</NavLink> {item.IsRead ? "" : <Badge dot />}
							</List.Item>
						)}></List>
				</Col>
				<Col span={4}></Col>
			</Row>
		</Space>
	);
}

export default (Index);
